Bug 127353 - java/eclipse-devel: eclipse-devel-3.4 doesn't install libswt files
java/eclipse-devel: eclipse-devel-3.4 doesn't install libswt files
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-eclipse
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 14:40 UTC by keefedm
Modified: 2008-10-12 16:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description keefedm 2008-09-13 14:40:01 UTC
eclipse-devel-3.4 builds and install, but when run, following error occurs (written to log):

java.lang.UnsatisfiedLinkError: no swt-gtk-3448 or swt-gtk in swt.library.path, java.library.path or the jar file

This was traced to the absence of the libswt*.so files in org.eclipse.swt.gtk.freebsd.x86_3.4.0.v3448f.jar .

FYI: 

Built with WITH_GECKO=xulrunner

java version "1.6.0_07"
Diablo Java(TM) SE Runtime Environment (build 1.6.0_07-b02)
Diablo Java HotSpot(TM) Client VM (build 10.0-b23, mixed mode, sharing)

Fix: 

SWT libs are built, but aren't included when JAR is generated.

Unpacked org.eclipse.swt.gtk.freebsd.x86_3.4.0.v3448f.jar, included libs (from /usr/ports/java/eclipse-devel/work/plugins/org.eclipse.swt.gtk.freebsd.x86/gtk/library), repackaged JAR, and deployed.
How-To-Repeat: Build/install from port and run. Receive dialog saying error was written to log file. Log file detailed above error.

(I have full build log, if anyone wants it.)
Comment 1 Mark Linimon freebsd_committer 2008-09-13 17:14:21 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-eclipse

Make this a ports PR and assign.
Comment 2 sepotvin freebsd_committer 2008-09-14 16:28:08 UTC
Could you try the following patch?

http://people.freebsd.org/~sepotvin/gecko.diff

It fixes support of xulrunner as gecko provider.
Comment 3 ngsfw 2008-10-10 21:54:42 UTC
I've tested the linked patches and this causes eclipse-devel to compile with xulrunner and run as expected.  

Thanks to Mr. Potvin for the patches.
Comment 4 dfilter freebsd_committer 2008-10-12 16:46:29 UTC
glewis      2008-10-12 15:46:15 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-devel   Makefile distinfo 
    java/eclipse-devel/files patch-build.xml 
                             patch-features-org.eclipse.equinox.executable-library-gtk-build.sh 
                             patch-features-org.eclipse.platform-build.xml 
                             patch-features-org.eclipse.platform.source-feature.xml 
                             patch-features-org.eclipse.rcp-build.xml 
                             patch-features-org.eclipse.rcp-feature.xml 
                             patch-features-org.eclipse.rcp.source-feature.xml 
                             patch-plugins-org.eclipse.pde.ui-src-org-eclipse-pde-internal-ui-pderesources.properties 
                             patch-plugins-org.eclipse.swt.gtk.freebsd.amd64.source-META-INF-MANIFEST.MF 
                             post-patch-plugins-org.eclipse.swt-Eclipse_SWT_PI-gtk-library-build.sh 
  Removed files:
    java/eclipse-devel/files 
                             patch-plugins-org.eclipse.pde.api.tools-src_ant-org-eclipse-pde-api-tools-internal-tasks-APIToolsVerivicationTask.java 
                             patch-plugins-org.eclipse.pde.api.tools-src_ant-org-eclipse-pde-api-tools-internal-tasks-DeltaReportConversionTask.java 
                             patch-plugins-org.eclipse.pde.api.tools.ui-src-org-eclipse-pde-api-tools-ui-internal-wizards-ApiProfileWizardPage.java 
  Log:
  . Update to 3.4.1
  . Fix support for xulrunner as the WITH_GECKO option. [1]
  . Remove mozilla as a WITH_GECKO option.
  
  PR:             127353 [1]
  Submitted by:   Stephane Potvin (maintainer)
  
  Revision  Changes    Path
  1.21      +7 -7      ports/java/eclipse-devel/Makefile
  1.9       +3 -3      ports/java/eclipse-devel/distinfo
  1.6       +7 -14     ports/java/eclipse-devel/files/patch-build.xml
  1.2       +13 -12    ports/java/eclipse-devel/files/patch-features-org.eclipse.equinox.executable-library-gtk-build.sh
  1.2       +4 -4      ports/java/eclipse-devel/files/patch-features-org.eclipse.platform-build.xml
  1.2       +7 -7      ports/java/eclipse-devel/files/patch-features-org.eclipse.platform.source-feature.xml
  1.2       +4 -4      ports/java/eclipse-devel/files/patch-features-org.eclipse.rcp-build.xml
  1.2       +26 -30    ports/java/eclipse-devel/files/patch-features-org.eclipse.rcp-feature.xml
  1.2       +10 -10    ports/java/eclipse-devel/files/patch-features-org.eclipse.rcp.source-feature.xml
  1.2       +0 -11     ports/java/eclipse-devel/files/patch-plugins-org.eclipse.pde.api.tools-src_ant-org-eclipse-pde-api-tools-internal-tasks-APIToolsVerivicationTask.java (dead)
  1.2       +0 -11     ports/java/eclipse-devel/files/patch-plugins-org.eclipse.pde.api.tools-src_ant-org-eclipse-pde-api-tools-internal-tasks-DeltaReportConversionTask.java (dead)
  1.2       +0 -11     ports/java/eclipse-devel/files/patch-plugins-org.eclipse.pde.api.tools.ui-src-org-eclipse-pde-api-tools-ui-internal-wizards-ApiProfileWizardPage.java (dead)
  1.2       +3 -10     ports/java/eclipse-devel/files/patch-plugins-org.eclipse.pde.ui-src-org-eclipse-pde-internal-ui-pderesources.properties
  1.2       +3 -3      ports/java/eclipse-devel/files/patch-plugins-org.eclipse.swt.gtk.freebsd.amd64.source-META-INF-MANIFEST.MF
  1.2       +60 -23    ports/java/eclipse-devel/files/post-patch-plugins-org.eclipse.swt-Eclipse_SWT_PI-gtk-library-build.sh
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Lewis freebsd_committer 2008-10-12 16:46:57 UTC
State Changed
From-To: open->closed

Patch has been committed, thanks!